# Second-Order Runge-Kutta ver1
# dx/dt= -x**3+sin(t)

import numpy as np
import matplotlib.pyplot as plt

def f(x, t):
  return -x**3+np.sin(t)

t=np.linspace(0, 10, 1000)

x=np.zeros(len(t), float)
x[0]=0
h=t[1]-t[0]

for i in range(len(t)-1):   # RKM ver1
  k_1=h*f(x[i], t[i])
  k_2=h*f(x[i]+k_1/2, t[i]+h/2)
  x[i+1]=x[i]+k_2

plt.plot(t, x)
plt.show()
